@import "../../../shared/variables";

.menu-lateral {
    background-color: $primarycolor;
    color: $white;
    width: 100%;
    padding: 16px;
    height: calc(100vh - 72px);
    transition: 0.3s;
    margin-left: -100%;
    z-index: 99;
    position: fixed;
    min-height: 105%;
    top: 72px;
    @media (min-width: $md) {
        width: 360px;
        margin-left: -360px;
    }
    &.active-menu {
        margin-left: 0;
    }
    .menu {
        padding: 0;
        margin: 0;                          
        .home-menu {
            background-image: url("../../../assets/icons/home.svg");
        }                
        .pedidos-menu {
            background-image: url("../../../assets/icons/file-text.svg");
        }        
        .relatorio-menu {
            background-image: url("../../../assets/icons/list.svg");
        }                
        .configuracoes-menu {
            background-image: url("../../../assets/icons/settings.svg");
        }           
        .menu-item {
            font-family: $font-montserrat;
            font-size: 16px;
            font-weight: 700;
            list-style: none;
            padding: 16px 0 16px 48px;
            cursor: pointer;
            position: relative;
            background-repeat: no-repeat;
            background-position: left 14px;
            color: #868686;
            a, span {
                color: $white;
                text-decoration: none;
            }
            &.drop-item {
                &:after {
                content: "";
                background-image: url(../../../assets/icons/arrow-down.svg);
                background-repeat: no-repeat;
                width: 15px;
                height: 15px;
                position: absolute;
                right: 0;    
                top: 22px; 
                transition: transform 0.3s ease;           
                }
                &.drop-active {
                    .menu-drop {
                        display: block!important;
                    }       
                    &:after {
                        transform: rotate(180deg);
                        top: 14px; 
                    }
                }
            }
            .menu-drop {
                padding: 12px 0 0 12px;
                margin: 0;  
                display: none;
                .menu-drop-item {
                    font-family: $font-montserrat;
                    font-size: 16px;
                    font-weight: 400;
                    list-style: none;
                    padding: 8px 0;
                    cursor: pointer;
                }              
            }
        }
    }
}

.menu-close {
    background-color: $primarycolor;
    color: $white;
    width: 60px;
    transition: 0.3s;
    position: fixed;
    height: calc(100vh - 72px);
    top: 72px;
    z-index: 9;
    &.menu-hidden {
        display: none;
    }
    .menu {
        padding: 0;
        margin: 0;
        li {
            list-style: none;
            padding: 16px 0;
            text-align: center;
            cursor: pointer;
            &.hover {
                background-color: $primarycolor-hover;
            }
            &.active {
                background-color: $primarycolor-hover;
            }
        }
    }
}

.menu-fullpage {
    background-color: rgba(0,0,0,0.5);
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 8;
    display: none;
    cursor: pointer;
    &.menu-fullpage-active {
        display: block;
    }
}